- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Updates a single identifiable data point. If a data point with the specified name is not found, the request will fail.
HTTP request
PATCH https://health.googleapis.com/v4/{dataPoint.name=users/*/dataTypes/*/dataPoints/*}
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
dataPoint.name |
Identifier. Data point name, only supported for the subset of identifiable data types. For the majority of the data types, individual data points do not need to be identified and this field would be empty. Format: Example: The The The |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of DataPoint.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/googlehealth.activity_and_fitnesshttps://www.googleapis.com/auth/googlehealth.health_metrics_and_measurementshttps://www.googleapis.com/auth/googlehealth.locationhttps://www.googleapis.com/auth/googlehealth.nutritionhttps://www.googleapis.com/auth/googlehealth.sleep
For more information, see the OAuth 2.0 Overview.